curl --request GET \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/invoices \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/invoices"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/invoices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/invoices"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/invoices")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/invoices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"List\", \"data\": [ { \"object\": \"Invoice\", \"id\": \"Subscription_1649141886-00000000\", \"vid\": \"b868f2f27b83932dc48a548cc65619b5d3a45807\", \"billing_service_period_start\": \"2022-04-05T00:00:00+00:00\", \"billing_service_period_end\": \"2022-04-11T00:00:00+00:00\", \"due_date\": \"2022-04-05T00:00:00+00:00\", \"invoice_date\": \"2022-04-05T00:00:00+00:00\", \"status\": \"Paid\", \"invoice_currency\": \"USD\", \"invoice_balance\": 0, \"gross_charges_total\": 0, \"tax_charges_total\": 0, \"sales_tax_address\": { \"object\": \"Address\", \"vid\": \"4a59f0fbe02da51d9e66f7f7a9c1549b9afc567d\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"MUMBAI\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"credit_total\": 0, \"payments_received_total\": 0, \"invoice_line_items\": { \"object\": \"List\", \"data\": [ { \"object\": \"InvoiceItem\", \"index_number\": 0, \"type\": \"RecurringCharge\", \"sku\": \"plan_1235\", \"description\": \"Simple Monthly Plan with Trial\", \"quantity\": 1, \"unit_amount\": 0, \"item_added\": \"2022-04-05T00:00:00+00:00\", \"item_removed\": null, \"item_serviceperiod_start\": \"2022-04-05T00:00:00+00:00\", \"item_serviceperiod_end\": \"2022-04-11T00:00:00+00:00\", \"billing_plan\": { \"object\": \"BillingPlan\", \"id\": \"plan_1235\", \"vid\": \"8644badd87f372e93ef355f8c0dda1f350128656\" } }, { \"object\": \"InvoiceItem\", \"index_number\": 1, \"type\": \"RecurringCharge\", \"sku\": \"BOOTCAMP_INDIA\", \"description\": \"BOOTCAMP_INDIA\", \"quantity\": 1, \"unit_amount\": 0, \"item_added\": \"2022-04-05T06:58:09+00:00\", \"item_removed\": null, \"item_serviceperiod_start\": \"2022-04-05T06:58:09+00:00\", \"item_serviceperiod_end\": \"2022-04-11T00:00:00+00:00\", \"subscription_item\": { \"object\": \"SubscriptionItem\", \"id\": \"Item_1649141886\", \"vid\": \"7a2cf4376f5a62ec95e148963ccc877df9d7b8fb\" } } ], \"total_count\": 2 }, \"invoice_tax_items\": { \"object\": \"List\", \"data\": [ { \"object\": \"InvoiceItem\", \"index_number\": 2, \"type\": \"Tax\", \"sku\": \"VIN_SALES_TAX\", \"description\": \"Sales Tax Total\", \"quantity\": 1, \"unit_amount\": 0, \"tax_classification\": \"TaxExempt\", \"item_added\": \"2022-04-05T06:58:09+00:00\", \"item_removed\": null, \"item_serviceperiod_start\": \"2022-04-05T06:58:09+00:00\", \"item_serviceperiod_end\": \"2022-04-11T00:00:00+00:00\" } ], \"total_count\": 1 }, \"invoice_payments\": { \"object\": \"List\", \"data\": [ { \"object\": \"Transaction\", \"id\": \"00000001\", \"vid\": \"72f890761c6e42edff3964a49f301057daa03295\", \"created\": \"2022-04-05T06:58:09+00:00\", \"amount\": 0, \"currency\": \"USD\", \"account\": { \"object\": \"Account\", \"id\": \"Account_1649141886\", \"vid\": \"c70c98c6450f40abd0b3d9c05bbe84e75f1d3688\", \"created\": \"2022-04-05T06:58:08+00:00\", \"default_currency\": \"USD\", \"email\": \"dpatel@vindicia.com\", \"email_type\": \"html\", \"language\": \"EN\", \"notify_before_billing\": true, \"name\": \"Donovan United\", \"shipping_address\": { \"object\": \"Address\", \"vid\": \"62ab727aa1d922ac611cc59c5ed659946e8f1761\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"payment_methods\": { \"object\": \"List\", \"data\": [ { \"object\": \"PaymentMethod\", \"id\": \"CC_1649141886\", \"vid\": \"b8a4f9d6c7e02d7cc600e5c58d37090a0e946e4f\", \"created\": \"2022-04-05T06:58:09+00:00\", \"type\": \"CreditCard\", \"credit_card\": { \"object\": \"CreditCard\", \"vid\": \"9afbf0f2a346ca64a43bb1576a5ab3ed192707d7\", \"account\": \"512345XXXXXX2346\", \"bin\": \"512345\", \"last_digits\": \"2346\", \"account_length\": 16, \"expiration_date\": \"202205\", \"last_au_request_date\": null, \"last_update_date\": null }, \"account_holder\": \"Donovan United\", \"billing_address\": { \"object\": \"Address\", \"vid\": \"49473f8dfa9732b9da8ac4f80e8329c1bb250215\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"customer_description\": \"Credit Card\", \"primary\": true, \"active\": true } ], \"total_count\": 1 } }, \"source_payment_method\": { \"object\": \"PaymentMethod\", \"id\": \"CC_1649141886\", \"vid\": \"b8a4f9d6c7e02d7cc600e5c58d37090a0e946e4f\", \"created\": \"2022-04-05T06:58:09+00:00\", \"type\": \"CreditCard\", \"credit_card\": { \"object\": \"CreditCard\", \"vid\": \"9afbf0f2a346ca64a43bb1576a5ab3ed192707d7\", \"account\": \"512345XXXXXX2346\", \"bin\": \"512345\", \"last_digits\": \"2346\", \"account_length\": 16, \"expiration_date\": \"202205\", \"last_au_request_date\": null, \"last_update_date\": null }, \"account_holder\": \"Donovan United\", \"billing_address\": { \"object\": \"Address\", \"vid\": \"49473f8dfa9732b9da8ac4f80e8329c1bb250215\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"customer_description\": \"Credit Card\", \"primary\": true, \"active\": true }, \"status_log\": { \"object\": \"List\", \"data\": [ { \"object\": \"TransactionStatus\", \"status\": \"Captured\", \"created\": \"2022-04-05T07:12:37+00:00\", \"payment_method_type\": \"CreditCard\", \"credit_card_status\": { \"object\": \"TransactionStatusCreditCard\", \"auth_code\": \"VIN_900\" }, \"note\": \"VIN_900\" }, { \"object\": \"TransactionStatus\", \"status\": \"Authorized\", \"created\": \"2022-04-05T06:58:10+00:00\", \"payment_method_type\": \"CreditCard\", \"credit_card_status\": { \"object\": \"TransactionStatusCreditCard\", \"auth_code\": \"VIN_900\" }, \"note\": \"VIN_900 - N/A\" }, { \"object\": \"TransactionStatus\", \"status\": \"New\", \"created\": \"2022-04-05T06:58:09+00:00\", \"payment_method_type\": \"CreditCard\", \"credit_card_status\": { \"object\": \"TransactionStatusCreditCard\", \"auth_code\": \"VIN_900\" } } ], \"total_count\": 3 }, \"payment_processor\": \"Vindicia\", \"shipping_address\": { \"object\": \"Address\", \"vid\": \"62ab727aa1d922ac611cc59c5ed659946e8f1761\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"metadata\": { \"vin:BillingPlanUnit\": \"month\", \"vin:BillingPlanLength\": \"1\", \"vin:ignoreAvsPolicy\": \"1\", \"vin:payment_processor\": \"Vindicia\", \"vin:RetryNumber\": \"0\", \"vin:recurring\": \"1\", \"vin:BillingPlanDurationInSeconds\": \"0\", \"vin:ignoreCvnPolicy\": \"1\", \"vin:BillingCycle\": \"0\", \"vin:FutureAmount\": \"49.99\" }, \"items\": { \"object\": \"List\", \"data\": [ { \"object\": \"TransactionItem\", \"sku\": \"plan_1235\", \"index_number\": 1, \"item_type\": \"Purchase\", \"name\": \"Simple Monthly Plan with Trial\", \"quantity\": 1, \"service_period_starts\": \"2022-04-05T00:00:00+00:00\", \"service_period_ends\": \"2022-04-11T00:00:00+00:00\", \"tax_type\": \"Exclusive Sales\", \"total\": 0 }, { \"object\": \"TransactionItem\", \"sku\": \"BOOTCAMP_INDIA\", \"index_number\": 2, \"item_type\": \"Purchase\", \"name\": \"BOOTCAMP_INDIA\", \"subscription_item\": { \"object\": \"SubscriptionItem\", \"id\": \"Item_1649141886\", \"vid\": \"7a2cf4376f5a62ec95e148963ccc877df9d7b8fb\" }, \"quantity\": 1, \"service_period_starts\": \"2022-04-05T00:00:00+00:00\", \"service_period_ends\": \"2022-04-11T00:00:00+00:00\", \"tax_type\": \"Exclusive Sales\", \"total\": 0 }, { \"object\": \"TransactionItem\", \"sku\": \"Total Tax\", \"index_number\": 3, \"item_type\": \"Purchase\", \"name\": \"Total Tax\", \"price\": 0, \"quantity\": 1, \"tax_classification\": \"TaxExempt\", \"service_period_starts\": \"2022-04-05T00:00:00+00:00\", \"service_period_ends\": \"2022-04-11T00:00:00+00:00\", \"tax_type\": \"Exclusive Sales\", \"discount\": 0, \"subtotal\": 0, \"total\": 0 } ], \"total_count\": 3 }, \"affiliate\": \"TELECOM CHANNEL\", \"sub_affiliate\": \"AIRTEL\", \"sales_tax_address\": { \"object\": \"Address\", \"vid\": \"4a59f0fbe02da51d9e66f7f7a9c1549b9afc567d\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"MUMBAI\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"subscription_sequence\": 1, \"billing_plan_sequence\": 1, \"original_billing_date\": \"2022-04-05T00:00:00+00:00\", \"billing_attempt\": 0, \"subscription\": { \"object\": \"Subscription\", \"id\": \"Subscription_1649141886\", \"vid\": \"b2c2e8af40cadd514d26e755cbc0771e09c7351e\" }, \"cvn_checked\": false } ], \"total_count\": 1 }, \"account\": { \"object\": \"Account\", \"id\": \"Account_1649141886\", \"vid\": \"c70c98c6450f40abd0b3d9c05bbe84e75f1d3688\" }, \"subscription\": { \"object\": \"Subscription\", \"id\": \"Subscription_1649141886\", \"vid\": \"b2c2e8af40cadd514d26e755cbc0771e09c7351e\" }, \"billing_sequence\": 0, \"affiliate\": \"TELECOM CHANNEL\", \"sub_affiliate\": \"AIRTEL\" } ], \"total_count\": 12, \"url\": \"/invoices?limit=1\", \"next\": \"/invoices?limit=1&starting_after=Subscription_1649141886-00000000\", \"previous\": \"/invoices?limit=1&ending_before=Subscription_1649141886-00000000\" }"{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"List Invoices
Retrieves a list of Invoices (all or filtered). This can be used to get a cross-account list of invoices, or for a given subscription using the /“subscription/” query parameter (see example).
curl --request GET \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/invoices \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/invoices"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/invoices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/invoices"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/invoices")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/invoices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"List\", \"data\": [ { \"object\": \"Invoice\", \"id\": \"Subscription_1649141886-00000000\", \"vid\": \"b868f2f27b83932dc48a548cc65619b5d3a45807\", \"billing_service_period_start\": \"2022-04-05T00:00:00+00:00\", \"billing_service_period_end\": \"2022-04-11T00:00:00+00:00\", \"due_date\": \"2022-04-05T00:00:00+00:00\", \"invoice_date\": \"2022-04-05T00:00:00+00:00\", \"status\": \"Paid\", \"invoice_currency\": \"USD\", \"invoice_balance\": 0, \"gross_charges_total\": 0, \"tax_charges_total\": 0, \"sales_tax_address\": { \"object\": \"Address\", \"vid\": \"4a59f0fbe02da51d9e66f7f7a9c1549b9afc567d\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"MUMBAI\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"credit_total\": 0, \"payments_received_total\": 0, \"invoice_line_items\": { \"object\": \"List\", \"data\": [ { \"object\": \"InvoiceItem\", \"index_number\": 0, \"type\": \"RecurringCharge\", \"sku\": \"plan_1235\", \"description\": \"Simple Monthly Plan with Trial\", \"quantity\": 1, \"unit_amount\": 0, \"item_added\": \"2022-04-05T00:00:00+00:00\", \"item_removed\": null, \"item_serviceperiod_start\": \"2022-04-05T00:00:00+00:00\", \"item_serviceperiod_end\": \"2022-04-11T00:00:00+00:00\", \"billing_plan\": { \"object\": \"BillingPlan\", \"id\": \"plan_1235\", \"vid\": \"8644badd87f372e93ef355f8c0dda1f350128656\" } }, { \"object\": \"InvoiceItem\", \"index_number\": 1, \"type\": \"RecurringCharge\", \"sku\": \"BOOTCAMP_INDIA\", \"description\": \"BOOTCAMP_INDIA\", \"quantity\": 1, \"unit_amount\": 0, \"item_added\": \"2022-04-05T06:58:09+00:00\", \"item_removed\": null, \"item_serviceperiod_start\": \"2022-04-05T06:58:09+00:00\", \"item_serviceperiod_end\": \"2022-04-11T00:00:00+00:00\", \"subscription_item\": { \"object\": \"SubscriptionItem\", \"id\": \"Item_1649141886\", \"vid\": \"7a2cf4376f5a62ec95e148963ccc877df9d7b8fb\" } } ], \"total_count\": 2 }, \"invoice_tax_items\": { \"object\": \"List\", \"data\": [ { \"object\": \"InvoiceItem\", \"index_number\": 2, \"type\": \"Tax\", \"sku\": \"VIN_SALES_TAX\", \"description\": \"Sales Tax Total\", \"quantity\": 1, \"unit_amount\": 0, \"tax_classification\": \"TaxExempt\", \"item_added\": \"2022-04-05T06:58:09+00:00\", \"item_removed\": null, \"item_serviceperiod_start\": \"2022-04-05T06:58:09+00:00\", \"item_serviceperiod_end\": \"2022-04-11T00:00:00+00:00\" } ], \"total_count\": 1 }, \"invoice_payments\": { \"object\": \"List\", \"data\": [ { \"object\": \"Transaction\", \"id\": \"00000001\", \"vid\": \"72f890761c6e42edff3964a49f301057daa03295\", \"created\": \"2022-04-05T06:58:09+00:00\", \"amount\": 0, \"currency\": \"USD\", \"account\": { \"object\": \"Account\", \"id\": \"Account_1649141886\", \"vid\": \"c70c98c6450f40abd0b3d9c05bbe84e75f1d3688\", \"created\": \"2022-04-05T06:58:08+00:00\", \"default_currency\": \"USD\", \"email\": \"dpatel@vindicia.com\", \"email_type\": \"html\", \"language\": \"EN\", \"notify_before_billing\": true, \"name\": \"Donovan United\", \"shipping_address\": { \"object\": \"Address\", \"vid\": \"62ab727aa1d922ac611cc59c5ed659946e8f1761\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"payment_methods\": { \"object\": \"List\", \"data\": [ { \"object\": \"PaymentMethod\", \"id\": \"CC_1649141886\", \"vid\": \"b8a4f9d6c7e02d7cc600e5c58d37090a0e946e4f\", \"created\": \"2022-04-05T06:58:09+00:00\", \"type\": \"CreditCard\", \"credit_card\": { \"object\": \"CreditCard\", \"vid\": \"9afbf0f2a346ca64a43bb1576a5ab3ed192707d7\", \"account\": \"512345XXXXXX2346\", \"bin\": \"512345\", \"last_digits\": \"2346\", \"account_length\": 16, \"expiration_date\": \"202205\", \"last_au_request_date\": null, \"last_update_date\": null }, \"account_holder\": \"Donovan United\", \"billing_address\": { \"object\": \"Address\", \"vid\": \"49473f8dfa9732b9da8ac4f80e8329c1bb250215\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"customer_description\": \"Credit Card\", \"primary\": true, \"active\": true } ], \"total_count\": 1 } }, \"source_payment_method\": { \"object\": \"PaymentMethod\", \"id\": \"CC_1649141886\", \"vid\": \"b8a4f9d6c7e02d7cc600e5c58d37090a0e946e4f\", \"created\": \"2022-04-05T06:58:09+00:00\", \"type\": \"CreditCard\", \"credit_card\": { \"object\": \"CreditCard\", \"vid\": \"9afbf0f2a346ca64a43bb1576a5ab3ed192707d7\", \"account\": \"512345XXXXXX2346\", \"bin\": \"512345\", \"last_digits\": \"2346\", \"account_length\": 16, \"expiration_date\": \"202205\", \"last_au_request_date\": null, \"last_update_date\": null }, \"account_holder\": \"Donovan United\", \"billing_address\": { \"object\": \"Address\", \"vid\": \"49473f8dfa9732b9da8ac4f80e8329c1bb250215\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"customer_description\": \"Credit Card\", \"primary\": true, \"active\": true }, \"status_log\": { \"object\": \"List\", \"data\": [ { \"object\": \"TransactionStatus\", \"status\": \"Captured\", \"created\": \"2022-04-05T07:12:37+00:00\", \"payment_method_type\": \"CreditCard\", \"credit_card_status\": { \"object\": \"TransactionStatusCreditCard\", \"auth_code\": \"VIN_900\" }, \"note\": \"VIN_900\" }, { \"object\": \"TransactionStatus\", \"status\": \"Authorized\", \"created\": \"2022-04-05T06:58:10+00:00\", \"payment_method_type\": \"CreditCard\", \"credit_card_status\": { \"object\": \"TransactionStatusCreditCard\", \"auth_code\": \"VIN_900\" }, \"note\": \"VIN_900 - N/A\" }, { \"object\": \"TransactionStatus\", \"status\": \"New\", \"created\": \"2022-04-05T06:58:09+00:00\", \"payment_method_type\": \"CreditCard\", \"credit_card_status\": { \"object\": \"TransactionStatusCreditCard\", \"auth_code\": \"VIN_900\" } } ], \"total_count\": 3 }, \"payment_processor\": \"Vindicia\", \"shipping_address\": { \"object\": \"Address\", \"vid\": \"62ab727aa1d922ac611cc59c5ed659946e8f1761\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"metadata\": { \"vin:BillingPlanUnit\": \"month\", \"vin:BillingPlanLength\": \"1\", \"vin:ignoreAvsPolicy\": \"1\", \"vin:payment_processor\": \"Vindicia\", \"vin:RetryNumber\": \"0\", \"vin:recurring\": \"1\", \"vin:BillingPlanDurationInSeconds\": \"0\", \"vin:ignoreCvnPolicy\": \"1\", \"vin:BillingCycle\": \"0\", \"vin:FutureAmount\": \"49.99\" }, \"items\": { \"object\": \"List\", \"data\": [ { \"object\": \"TransactionItem\", \"sku\": \"plan_1235\", \"index_number\": 1, \"item_type\": \"Purchase\", \"name\": \"Simple Monthly Plan with Trial\", \"quantity\": 1, \"service_period_starts\": \"2022-04-05T00:00:00+00:00\", \"service_period_ends\": \"2022-04-11T00:00:00+00:00\", \"tax_type\": \"Exclusive Sales\", \"total\": 0 }, { \"object\": \"TransactionItem\", \"sku\": \"BOOTCAMP_INDIA\", \"index_number\": 2, \"item_type\": \"Purchase\", \"name\": \"BOOTCAMP_INDIA\", \"subscription_item\": { \"object\": \"SubscriptionItem\", \"id\": \"Item_1649141886\", \"vid\": \"7a2cf4376f5a62ec95e148963ccc877df9d7b8fb\" }, \"quantity\": 1, \"service_period_starts\": \"2022-04-05T00:00:00+00:00\", \"service_period_ends\": \"2022-04-11T00:00:00+00:00\", \"tax_type\": \"Exclusive Sales\", \"total\": 0 }, { \"object\": \"TransactionItem\", \"sku\": \"Total Tax\", \"index_number\": 3, \"item_type\": \"Purchase\", \"name\": \"Total Tax\", \"price\": 0, \"quantity\": 1, \"tax_classification\": \"TaxExempt\", \"service_period_starts\": \"2022-04-05T00:00:00+00:00\", \"service_period_ends\": \"2022-04-11T00:00:00+00:00\", \"tax_type\": \"Exclusive Sales\", \"discount\": 0, \"subtotal\": 0, \"total\": 0 } ], \"total_count\": 3 }, \"affiliate\": \"TELECOM CHANNEL\", \"sub_affiliate\": \"AIRTEL\", \"sales_tax_address\": { \"object\": \"Address\", \"vid\": \"4a59f0fbe02da51d9e66f7f7a9c1549b9afc567d\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"MUMBAI\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"subscription_sequence\": 1, \"billing_plan_sequence\": 1, \"original_billing_date\": \"2022-04-05T00:00:00+00:00\", \"billing_attempt\": 0, \"subscription\": { \"object\": \"Subscription\", \"id\": \"Subscription_1649141886\", \"vid\": \"b2c2e8af40cadd514d26e755cbc0771e09c7351e\" }, \"cvn_checked\": false } ], \"total_count\": 1 }, \"account\": { \"object\": \"Account\", \"id\": \"Account_1649141886\", \"vid\": \"c70c98c6450f40abd0b3d9c05bbe84e75f1d3688\" }, \"subscription\": { \"object\": \"Subscription\", \"id\": \"Subscription_1649141886\", \"vid\": \"b2c2e8af40cadd514d26e755cbc0771e09c7351e\" }, \"billing_sequence\": 0, \"affiliate\": \"TELECOM CHANNEL\", \"sub_affiliate\": \"AIRTEL\" } ], \"total_count\": 12, \"url\": \"/invoices?limit=1\", \"next\": \"/invoices?limit=1&starting_after=Subscription_1649141886-00000000\", \"previous\": \"/invoices?limit=1&ending_before=Subscription_1649141886-00000000\" }"{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
A limit on the number of objects to be returned, between 1 and 100.
1 <= x <= 100Order the List in Ascending asc or Descending desc order.
A cursor for use in pagination. starting_after is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.
A cursor for use in pagination. ending_before is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.
The Account id or vid to filter list by. A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.
128The Subscription id or vid to filter Events by. A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.
128Can be Challenged, CollectionsLost, CollectionsNew, CollectionsWon, Duplicate, Expired, Incomplete, Legitimate, Lost, New, NewSecondChargeback, Pass, Represented, Responded, Retrieval, Won
Limit the invoice list to invoices due on a specified date.
Limit the invoice list to invoices with a specified invoice_date
Limit the invoice list to invoices due after a specified datetime.
Limit the invoice list to invoices due before a specified datetime.
Limit the invoice list to invoices with an invoice date after a specified datetime.
Limit the invoice list to invoices with an invoice date before a specified datetime.
Response
JSON A list array with a data property that contains an array of up to limit Invoices, starting after the specified starting_after Invoice (or ending before the specified ending_before Invoice). Each entry in the array is a full Invoice object. If no more Invoice are available, the resulting array will be empty. This request should never throw an error. A list of Invoice objects matching the query. Also:\n
- "total_count": Integer count of the number of Invoices in the returned list.
- "url": The query string provided in the request
- "next": The route (partial URL) to the next Invoice object (string to select the "next"); included id should match that of the last object returned here
- "previous": The route (partial URL) to the previous Invoice object (string to select the "previous"); included id should match that of the first object returned here
List Integer count of the number of items in the returned list.
Show child attributes
Show child attributes
The query string provided in the request
The route (partial URL) to the next Invoice object (string to select the “next”); included id should match that of the last object returned here.
The route (partial URL) to the previous Invoice object (string to select the “previous”); included id should match that of the first object returned here.
"{ \"object\": \"List\", \"data\": [ { \"object\": \"Invoice\", \"id\": \"Subscription_1649141886-00000000\", \"vid\": \"b868f2f27b83932dc48a548cc65619b5d3a45807\", \"billing_service_period_start\": \"2022-04-05T00:00:00+00:00\", \"billing_service_period_end\": \"2022-04-11T00:00:00+00:00\", \"due_date\": \"2022-04-05T00:00:00+00:00\", \"invoice_date\": \"2022-04-05T00:00:00+00:00\", \"status\": \"Paid\", \"invoice_currency\": \"USD\", \"invoice_balance\": 0, \"gross_charges_total\": 0, \"tax_charges_total\": 0, \"sales_tax_address\": { \"object\": \"Address\", \"vid\": \"4a59f0fbe02da51d9e66f7f7a9c1549b9afc567d\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"MUMBAI\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"credit_total\": 0, \"payments_received_total\": 0, \"invoice_line_items\": { \"object\": \"List\", \"data\": [ { \"object\": \"InvoiceItem\", \"index_number\": 0, \"type\": \"RecurringCharge\", \"sku\": \"plan_1235\", \"description\": \"Simple Monthly Plan with Trial\", \"quantity\": 1, \"unit_amount\": 0, \"item_added\": \"2022-04-05T00:00:00+00:00\", \"item_removed\": null, \"item_serviceperiod_start\": \"2022-04-05T00:00:00+00:00\", \"item_serviceperiod_end\": \"2022-04-11T00:00:00+00:00\", \"billing_plan\": { \"object\": \"BillingPlan\", \"id\": \"plan_1235\", \"vid\": \"8644badd87f372e93ef355f8c0dda1f350128656\" } }, { \"object\": \"InvoiceItem\", \"index_number\": 1, \"type\": \"RecurringCharge\", \"sku\": \"BOOTCAMP_INDIA\", \"description\": \"BOOTCAMP_INDIA\", \"quantity\": 1, \"unit_amount\": 0, \"item_added\": \"2022-04-05T06:58:09+00:00\", \"item_removed\": null, \"item_serviceperiod_start\": \"2022-04-05T06:58:09+00:00\", \"item_serviceperiod_end\": \"2022-04-11T00:00:00+00:00\", \"subscription_item\": { \"object\": \"SubscriptionItem\", \"id\": \"Item_1649141886\", \"vid\": \"7a2cf4376f5a62ec95e148963ccc877df9d7b8fb\" } } ], \"total_count\": 2 }, \"invoice_tax_items\": { \"object\": \"List\", \"data\": [ { \"object\": \"InvoiceItem\", \"index_number\": 2, \"type\": \"Tax\", \"sku\": \"VIN_SALES_TAX\", \"description\": \"Sales Tax Total\", \"quantity\": 1, \"unit_amount\": 0, \"tax_classification\": \"TaxExempt\", \"item_added\": \"2022-04-05T06:58:09+00:00\", \"item_removed\": null, \"item_serviceperiod_start\": \"2022-04-05T06:58:09+00:00\", \"item_serviceperiod_end\": \"2022-04-11T00:00:00+00:00\" } ], \"total_count\": 1 }, \"invoice_payments\": { \"object\": \"List\", \"data\": [ { \"object\": \"Transaction\", \"id\": \"00000001\", \"vid\": \"72f890761c6e42edff3964a49f301057daa03295\", \"created\": \"2022-04-05T06:58:09+00:00\", \"amount\": 0, \"currency\": \"USD\", \"account\": { \"object\": \"Account\", \"id\": \"Account_1649141886\", \"vid\": \"c70c98c6450f40abd0b3d9c05bbe84e75f1d3688\", \"created\": \"2022-04-05T06:58:08+00:00\", \"default_currency\": \"USD\", \"email\": \"dpatel@vindicia.com\", \"email_type\": \"html\", \"language\": \"EN\", \"notify_before_billing\": true, \"name\": \"Donovan United\", \"shipping_address\": { \"object\": \"Address\", \"vid\": \"62ab727aa1d922ac611cc59c5ed659946e8f1761\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"payment_methods\": { \"object\": \"List\", \"data\": [ { \"object\": \"PaymentMethod\", \"id\": \"CC_1649141886\", \"vid\": \"b8a4f9d6c7e02d7cc600e5c58d37090a0e946e4f\", \"created\": \"2022-04-05T06:58:09+00:00\", \"type\": \"CreditCard\", \"credit_card\": { \"object\": \"CreditCard\", \"vid\": \"9afbf0f2a346ca64a43bb1576a5ab3ed192707d7\", \"account\": \"512345XXXXXX2346\", \"bin\": \"512345\", \"last_digits\": \"2346\", \"account_length\": 16, \"expiration_date\": \"202205\", \"last_au_request_date\": null, \"last_update_date\": null }, \"account_holder\": \"Donovan United\", \"billing_address\": { \"object\": \"Address\", \"vid\": \"49473f8dfa9732b9da8ac4f80e8329c1bb250215\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"customer_description\": \"Credit Card\", \"primary\": true, \"active\": true } ], \"total_count\": 1 } }, \"source_payment_method\": { \"object\": \"PaymentMethod\", \"id\": \"CC_1649141886\", \"vid\": \"b8a4f9d6c7e02d7cc600e5c58d37090a0e946e4f\", \"created\": \"2022-04-05T06:58:09+00:00\", \"type\": \"CreditCard\", \"credit_card\": { \"object\": \"CreditCard\", \"vid\": \"9afbf0f2a346ca64a43bb1576a5ab3ed192707d7\", \"account\": \"512345XXXXXX2346\", \"bin\": \"512345\", \"last_digits\": \"2346\", \"account_length\": 16, \"expiration_date\": \"202205\", \"last_au_request_date\": null, \"last_update_date\": null }, \"account_holder\": \"Donovan United\", \"billing_address\": { \"object\": \"Address\", \"vid\": \"49473f8dfa9732b9da8ac4f80e8329c1bb250215\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"customer_description\": \"Credit Card\", \"primary\": true, \"active\": true }, \"status_log\": { \"object\": \"List\", \"data\": [ { \"object\": \"TransactionStatus\", \"status\": \"Captured\", \"created\": \"2022-04-05T07:12:37+00:00\", \"payment_method_type\": \"CreditCard\", \"credit_card_status\": { \"object\": \"TransactionStatusCreditCard\", \"auth_code\": \"VIN_900\" }, \"note\": \"VIN_900\" }, { \"object\": \"TransactionStatus\", \"status\": \"Authorized\", \"created\": \"2022-04-05T06:58:10+00:00\", \"payment_method_type\": \"CreditCard\", \"credit_card_status\": { \"object\": \"TransactionStatusCreditCard\", \"auth_code\": \"VIN_900\" }, \"note\": \"VIN_900 - N/A\" }, { \"object\": \"TransactionStatus\", \"status\": \"New\", \"created\": \"2022-04-05T06:58:09+00:00\", \"payment_method_type\": \"CreditCard\", \"credit_card_status\": { \"object\": \"TransactionStatusCreditCard\", \"auth_code\": \"VIN_900\" } } ], \"total_count\": 3 }, \"payment_processor\": \"Vindicia\", \"shipping_address\": { \"object\": \"Address\", \"vid\": \"62ab727aa1d922ac611cc59c5ed659946e8f1761\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"metadata\": { \"vin:BillingPlanUnit\": \"month\", \"vin:BillingPlanLength\": \"1\", \"vin:ignoreAvsPolicy\": \"1\", \"vin:payment_processor\": \"Vindicia\", \"vin:RetryNumber\": \"0\", \"vin:recurring\": \"1\", \"vin:BillingPlanDurationInSeconds\": \"0\", \"vin:ignoreCvnPolicy\": \"1\", \"vin:BillingCycle\": \"0\", \"vin:FutureAmount\": \"49.99\" }, \"items\": { \"object\": \"List\", \"data\": [ { \"object\": \"TransactionItem\", \"sku\": \"plan_1235\", \"index_number\": 1, \"item_type\": \"Purchase\", \"name\": \"Simple Monthly Plan with Trial\", \"quantity\": 1, \"service_period_starts\": \"2022-04-05T00:00:00+00:00\", \"service_period_ends\": \"2022-04-11T00:00:00+00:00\", \"tax_type\": \"Exclusive Sales\", \"total\": 0 }, { \"object\": \"TransactionItem\", \"sku\": \"BOOTCAMP_INDIA\", \"index_number\": 2, \"item_type\": \"Purchase\", \"name\": \"BOOTCAMP_INDIA\", \"subscription_item\": { \"object\": \"SubscriptionItem\", \"id\": \"Item_1649141886\", \"vid\": \"7a2cf4376f5a62ec95e148963ccc877df9d7b8fb\" }, \"quantity\": 1, \"service_period_starts\": \"2022-04-05T00:00:00+00:00\", \"service_period_ends\": \"2022-04-11T00:00:00+00:00\", \"tax_type\": \"Exclusive Sales\", \"total\": 0 }, { \"object\": \"TransactionItem\", \"sku\": \"Total Tax\", \"index_number\": 3, \"item_type\": \"Purchase\", \"name\": \"Total Tax\", \"price\": 0, \"quantity\": 1, \"tax_classification\": \"TaxExempt\", \"service_period_starts\": \"2022-04-05T00:00:00+00:00\", \"service_period_ends\": \"2022-04-11T00:00:00+00:00\", \"tax_type\": \"Exclusive Sales\", \"discount\": 0, \"subtotal\": 0, \"total\": 0 } ], \"total_count\": 3 }, \"affiliate\": \"TELECOM CHANNEL\", \"sub_affiliate\": \"AIRTEL\", \"sales_tax_address\": { \"object\": \"Address\", \"vid\": \"4a59f0fbe02da51d9e66f7f7a9c1549b9afc567d\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"MUMBAI\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"subscription_sequence\": 1, \"billing_plan_sequence\": 1, \"original_billing_date\": \"2022-04-05T00:00:00+00:00\", \"billing_attempt\": 0, \"subscription\": { \"object\": \"Subscription\", \"id\": \"Subscription_1649141886\", \"vid\": \"b2c2e8af40cadd514d26e755cbc0771e09c7351e\" }, \"cvn_checked\": false } ], \"total_count\": 1 }, \"account\": { \"object\": \"Account\", \"id\": \"Account_1649141886\", \"vid\": \"c70c98c6450f40abd0b3d9c05bbe84e75f1d3688\" }, \"subscription\": { \"object\": \"Subscription\", \"id\": \"Subscription_1649141886\", \"vid\": \"b2c2e8af40cadd514d26e755cbc0771e09c7351e\" }, \"billing_sequence\": 0, \"affiliate\": \"TELECOM CHANNEL\", \"sub_affiliate\": \"AIRTEL\" } ], \"total_count\": 12, \"url\": \"/invoices?limit=1\", \"next\": \"/invoices?limit=1&starting_after=Subscription_1649141886-00000000\", \"previous\": \"/invoices?limit=1&ending_before=Subscription_1649141886-00000000\" }"

